<template>

  <v-card>
    <v-layout class="bg-brown-lighten-5">


      <v-navigation-drawer  expand-on-hover rail color="blue-darken-4">

        <v-list>
          <v-list-item
              prepend-avatar="http://localhost:8080/api/files/avatar.jfif"
              :title="authStore.user?.firstName + ' ' + authStore.user?.lastName"
              :subtitle="authStore.user?.email"
              to="/profile"
          ></v-list-item>
        </v-list>

        <v-divider></v-divider>

        <v-list density="compact" nav>

          <v-list-item
              prepend-icon="mdi-account-box-outline"
              title="Mein Profil"
              value="profile"
              to="/profile"
          ></v-list-item>

          <v-list-item
              prepend-icon="mdi-view-dashboard-outline"
              title="Dashboard"
              value="dashboard"
              to="/dashboard"
          ></v-list-item>

          <v-list-item
              prepend-icon="mdi-text-box-check-outline"
              title="Tickets"
              value="ticket"
              to="/tickets"
          ></v-list-item>

          <v-list-item
              prepend-icon="mdi-text-box-outline"
              title="Erledigte Tickets"
              value="history"
              to="/history"
          ></v-list-item>


<!--          <v-list-item
              prepend-icon="mdi-message-text"
              title="Nachrichten"
              value="message"
              to="/messages"
          ></v-list-item>-->

          <v-list-item
              v-if="authStore.user.role === 'ADMIN' || authStore.user.role === 'MANAGER'"
              prepend-icon="mdi-account-plus"
              title="Neue Mitarbeiter"
              value="account"
              @click="router.push('/register')"
          ></v-list-item>

          <v-list-item
              v-if="authStore.user.role === 'ADMIN'"
              prepend-icon="mdi-plus-box"
              title="Abteilungen"
              value="department"
              @click="router.push('/department')"
          ></v-list-item>

          <v-list-item
              prepend-icon="mdi-account-group"
              title="Mitarbeiter"
              value="employee"
              @click="router.push('/employees')"
          ></v-list-item>

          <v-list-item
              prepend-icon="mdi-alert-box-outline"
              title="Hilfe"
              value="help"
              to="/help"
          ></v-list-item>

          <v-divider></v-divider>

          <v-list-item
              prepend-icon="mdi-arrow-left-bold-box-outline"
              title="Ausloggen"
              @click="authStore.logUserOut()"
          ></v-list-item>

        </v-list>
      </v-navigation-drawer>

      <v-main class="d-flex align-center ml-sm-16 ml-lg-0">
        <v-container class="bg-brown-lighten-5">
          <router-view></router-view>
        </v-container>
      </v-main>

    </v-layout>
  </v-card>
</template>

<script setup>

import {onMounted, ref} from "vue";
import {useAuthStore} from "@/stores/authStore";
import {router} from "@/router";
import {useTicketStore} from "@/stores/ticketStore";

const authStore = useAuthStore();
const ticketStore = useTicketStore();

onMounted(async () => {
  await authStore.checkIfLoggedIn();
})

</script>

<style scoped>

.drawerBtn {
  background-color: rgba(39, 39, 110, 0.99);
  color: white;
  min-height: 100%;
}

</style>